(function ($) {

	"use strict";
	// meanmenu
	$("#mobile-active").meanmenu({
		meanMenuContainer: ".mobile-menu",
		meanScreenWidth: "992",
	});

	$(".open-mobile-menu").on("click", function () {
		$(".side-info").addClass("info-open");
		$(".offcanvas-overlay").addClass("overlay-open");
	});

	$(".side-info-close,.offcanvas-overlay,.mobile_one_page li.menu-item a.nav-link").on("click", function () {
		$(".side-info").removeClass("info-open");
		$(".offcanvas-overlay").removeClass("overlay-open");
	});

	// Activate rtl slider
	let rtl_setting = $("body").hasClass("rtl") ? true : false;

	$(window).on('scroll', function () {

		var scroll = $(window).scrollTop();

		if (scroll < 245) {

			$(".header-sticky").removeClass("sticky");

		} else {

			$(".header-sticky").addClass("sticky");

		}

	});


	// data - background
	$("[data-background]").each(function () {
		$(this).css("background-image", "url(" + $(this).attr("data-background") + ")")
	})

	$("[data-bg-color]").each(function () {
		$(this).css("background-color", $(this).attr("data-bg-color"))
	})

	$('a.smoth-scroll').on('click', function (event) {

		var $anchor = $(this);

		$('html, body').stop().animate({

			scrollTop: $($anchor.attr('href')).offset().top - 0

		}, 1000);

		event.preventDefault();

	});


	// Homepage slider

	function mainSlider() {
		var BasicSlider = $('.slider-active');
		var $slider_settings = $('.slider-settings').data('settings');
		var $slider_items = $slider_settings.items;
		var $slider_infinite = $slider_settings.infinite;
		var $slider_playspeed = $slider_settings.autoplaySpeed;
		var $slider_autoplay = $slider_settings.autoplay;
		var $slider_dots = $slider_settings.dots;
		var $slider_arrows = $slider_settings.arrows;
		var $slider_fade = $slider_settings.fade;

		BasicSlider.on('init', function (e, slick) {
			var $firstAnimatingElements = $('.single-slider:first-child').find('[data-animation]');
			doAnimations($firstAnimatingElements);
		});

		BasicSlider.on('beforeChange', function (e, slick, currentSlide, nextSlide) {
			var $animatingElements = $('.single-slider[data-slick-index="' + nextSlide + '"]').find('[data-animation]');
			doAnimations($animatingElements);
		});

		BasicSlider.slick({
			slidesToShow: $slider_items,
			slidesToScroll: 1,
			autoplay: $slider_autoplay,
			autoplaySpeed: $slider_playspeed,
			infinite: $slider_infinite,
			dots: $slider_dots,
			fade: $slider_fade,
			rtl: rtl_setting,
			arrows: $slider_arrows,
			prevArrow: '<button type="button" class="slick-prev"> <i class="fas fa-arrow-left"></i> </button>',
			nextArrow: '<button type="button" class="slick-next"> <i class="fas fa-arrow-right"></i></button>',
			responsive: [
				{ breakpoint: 767, settings: { dots: false, arrows: false } }
			]
		});


		function doAnimations(elements) {
			var animationEndEvents = 'webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend';
			elements.each(function () {
				var $this = $(this);
				var $animationDelay = $this.data('delay');
				var $animationType = 'animated ' + $this.data('animation');
				$this.css({
					'animation-delay': $animationDelay,
					'-webkit-animation-delay': $animationDelay
				});

				$this.addClass($animationType).one(animationEndEvents, function () {
					$this.removeClass($animationType);
				});
			});
		}
	}

	function videoSlider() {
		$('.video-active').owlCarousel({
			loop: true,
			margin: 0,
			rtl: rtl_setting,
			items: 1,
			navText: ['<i class="zmdi zmdi-long-arrow-left"></i>', '<i class="zmdi zmdi-long-arrow-right"></i>'],
			nav: true,
			dots: false,
			responsive: {
				0: {
					items: 1,
					nav: false
				},
				600: {
					items: 1,
					nav: false
				},
				1000: {
					items: 1,
					nav: false,
				},
				1200: {
					items: 1,
					nav: true,
				},
			}
		});
	}

	function brandSlider() {
		$('.brand-active').owlCarousel({
			loop: true,
			margin: 80,
			items: 5,
			nav: false,
			rtl: rtl_setting,
			dots: false,
			responsive: {
				0: {
					items: 2
				},
				550: {
					items: 3
				},
				767: {
					items: 3
				},
				992: {
					items: 5
				}
			}
		});
	}

	function gridMasonry() {
		$('.grid').imagesLoaded(function () {
			// init Isotope
			var $grid = $('.grid').isotope({
				itemSelector: '.grid-item',
				percentPosition: true,
				masonry: {
					// use outer width of grid-sizer for columnWidth
					columnWidth: '.grid-item',
				}
			});
		});
	}

	$(window).on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction('frontend/element_ready/slider.default', mainSlider);
		elementorFrontend.hooks.addAction('frontend/element_ready/video_info.default', videoSlider);
		elementorFrontend.hooks.addAction('frontend/element_ready/brand.default', brandSlider);
		elementorFrontend.hooks.addAction('frontend/element_ready/video_info.default', gridMasonry);
	});


	// blog - active

	$('.postbox__gallery').slick({
		dots: false,
		arrows: true,
		infinite: true,
		speed: 300,
		prevArrow: '<button type="button" class="slick-prev"><i class="fas fa-arrow-left"></i></button>',
		nextArrow: '<button type="button" class="slick-next"><i class="fas fa-arrow-right"></i></button>',
		slidesToShow: 1,
		slidesToScroll: 1,
		rtl: rtl_setting,
		responsive: [
			{
				breakpoint: 1024,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1,
					infinite: true,
				}
			},
			{
				breakpoint: 991,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 480,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			}
		]
	});


	// Video Slider


	// Brand Slider


	/* magnificPopup img view */

	$('.popup-image').magnificPopup({
		type: 'image',
		gallery: {
			enabled: true
		}
	});


	/* magnificPopup video view */

	$('.popup-video').magnificPopup({
		type: 'iframe'
	});


	// isotop


	// filter items on button click

	$('.portfolio-menu').on('click', 'button', function () {

		var filterValue = $(this).attr('data-filter');

		$grid.isotope({ filter: filterValue });

	});


	//for menu active class

	$('.portfolio-menu button').on('click', function (event) {

		$(this).siblings('.active').removeClass('active');

		$(this).addClass('active');

		event.preventDefault();

	});


	// scrollToTop

	$.scrollUp({

		scrollName: 'scrollUp', // Element ID

		topDistance: '300', // Distance from top before showing element (px)

		topSpeed: 300, // Speed back to top (ms)

		animation: 'fade', // Fade, slide, none

		animationInSpeed: 200, // Animation in speed (ms)

		animationOutSpeed: 200, // Animation out speed (ms)

		scrollText: '<i class="icofont icofont-long-arrow-up"></i>', // Text for element

		activeOverlay: false, // Set CSS color to display scrollUp active point, e.g '#00FFFF'

	});

	// WOW active
	new WOW().init();

	// Nice Select 
	$('.appointment-content select').niceSelect();


})(jQuery);