<?php
/** 
 * termico Customizer data
 */
function _customizer_data( $data ) {
	return array(
		'panel' => array ( 
			'id' => 'termico',
			'name' => esc_html__('Termico Customizer','termico'),
			'priority' => 10,
			'section' => array(
				'header_setting' => array(
					'name' => esc_html__( 'Header Topbar Setting', 'termico' ),
					'priority' => 10,
					'fields' => array(
						array(
							'name' => esc_html__( 'Topbar Swicher', 'termico' ),
							'id' => 'termico_topbar_switch',
							'default' => true,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),		
						// Show Search						
						array(
							'name' => esc_html__( 'Show Search', 'termico' ),
							'id' => 'termico_show_header_search',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh' 
						),						
						// Suupport Text
						array(
							'name' => esc_html__( 'Support Label', 'termico' ),
							'id' => 'termico_support_label',
							'default' => esc_html__('Available Support','termico'),
							'type' => 'textarea',
							'transport'	=> 'refresh' 
						),						
						array(
							'name' => esc_html__( 'Support Text', 'termico' ),
							'id' => 'termico_support',
							'default' => esc_html__('24/7 Online Support','termico'),
							'type' => 'textarea',
							'transport'	=> 'refresh' 
						),						

						// Time Text
						array(
							'name' => esc_html__( 'Time Label', 'termico' ),
							'id' => 'termico_time_label',
							'default' => esc_html__('Working Time','termico'),
							'type' => 'textarea',
							'transport'	=> 'refresh' 
						),						
						array(
							'name' => esc_html__( 'Time Text', 'termico' ),
							'id' => 'termico_time',
							'default' => esc_html__('8:00AM - 12:00PM','termico'),
							'type' => 'textarea',
							'transport'	=> 'refresh' 
						),						

						// mail Text
						array(
							'name' => esc_html__( 'Mail Label', 'termico' ),
							'id' => 'termico_mail_label',
							'default' => esc_html__('Get In Touch','termico'),
							'type' => 'textarea',
							'transport'	=> 'refresh' 
						),						
						array(
							'name' => esc_html__( 'Mail ID', 'termico' ),
							'id' => 'termico_mail',
							'default' => esc_html__('info@example.com','termico'),
							'type' => 'textarea',
							'transport'	=> 'refresh' 
						),						

						// cta
						array(
							'name' => esc_html__( 'Header Right', 'termico' ),
							'id' => 'termico_header_right',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh' 
						),

						array(
							'name' => esc_html__( 'Button Text', 'termico' ),
							'id' => 'termico_button_text',
							'default' => esc_html__('Get A Quote','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Button Text RTL', 'termico' ),
							'id' => 'termico_button_text_rtl',
							'default' => esc_html__('Get A Quote','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Button Link', 'termico' ),
							'id' => 'termico_button_link',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),	
					) 
				),
				'header_social_setting'=> array(
					'name'=> esc_html__('Header Social','termico'),
					'priority'=> 11,
					'description' => esc_html__('To hide the field please use blank in text field.', 'termico'),
					'fields'=> array(
						/** social profiles **/
						array(
							'name' => esc_html__( 'Facebook Url', 'termico' ),
							'id' => 'termico_topbar_fb_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Twitter Url', 'termico' ),
							'id' => 'termico_topbar_twitter_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Instagram Url', 'termico' ),
							'id' => 'termico_topbar_instagram_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Linkedin Url', 'termico' ),
							'id' => 'termico_topbar_linkedin_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Youtube Url', 'termico' ),
							'id' => 'termico_topbar_youtube_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						
					)
				),
				'header_main_setting' => array(
					'name' => esc_html__( 'Header Setting', 'termico' ),
					'priority' => 12,
					'fields' => array(
						array(
							'name' => esc_html__( 'Choose Header Style', 'termico' ),
							'id' => 'choose_default_header',
							'type'     => 'select',
							'choices'  => array(
								'header-style-1' => esc_html__( 'Header Style 1', 'termico' ),
								'header-style-2' => esc_html__( 'Header Style 2', 'termico' ),
								'header-style-3' => esc_html__( 'Header Style 3', 'termico' ),
							),
							'default' => 'header-style-1',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__( 'Header Logo', 'termico' ),
							'id' => 'logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo.png',
							'type' => 'image',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Header White Logo', 'termico' ),
							'id' => 'seconday_logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo-black.png',
							'type' => 'image',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Favicon', 'termico' ),
							'id' => 'favicon_url',
							'default' => get_template_directory_uri() . '/assets/img/logo/favicon.ico',
							'type' => 'image',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Scroll Id', 'termico' ),
							'id' => 'termico_scroll_id',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
					) 
				),	

				'typography_setting'=> array(
					'name'=> esc_html__('Typography Setting','termico'),
					'priority'=> 18,
					'fields'=> array(
						array(
							'name'=>esc_html__('Google Font URL','termico'),
							'id'=>'termico_fonts_url',
							'description' => esc_html__( 'Example: family=Domine:400,700|Open+Sans:300,400,600,700,800|Rubik:400,500,700', 'termico' ),
							'default'=> esc_html__("family=Domine:400,700|Open+Sans:300,400,600,700,800|Rubik:400,500,700", 'termico'),
							'transport'	=> 'refresh',
							'type'=>'textarea' 
						),	
						array(
							'name'=>esc_html__('Termico Body Font','termico'),
							'id'=>'termico_body_font',
							'default'=> esc_html__("'Rubik', sans-serif",'termico'),
							'transport'	=> 'refresh',
							'type'=>'text' 
						),							
						array(
							'name'=>esc_html__('Termico Heading Font','termico'),
							'id'=>'termico_heading_font',
							'default'=> esc_html__("'Domine', serif",'termico'),
							'transport'	=> 'refresh',
							'type'=>'text'  
						),																					
					)
				),
				
				'page_title_setting'=> array(
					'name'=> esc_html__('Breadcrumb Setting','termico'),
					'priority'=> 14,
					'fields'=> array(						
						array(
							'name'=>esc_html__('Breadcrumb Padding Top','termico'),
							'id'=>'termico_breadcrumb_spacing',
							'default'=> esc_html__('160px','termico'),
							'transport'	=> 'refresh',  
							'type' => 'text',
						),						
						array(
							'name'=>esc_html__('Breadcrumb Bottom Top','termico'),
							'id'=>'termico_breadcrumb_bottom_spacing',
							'default'=> esc_html__('160px','termico'),
							'transport'	=> 'refresh',  
							'type' => 'text',
						),
						array(
							'name' => esc_html__( 'Breadcrumb Background Image', 'termico' ),
							'id' => 'breadcrumb_bg_img',
							'default' => get_template_directory_uri() . '/img/bg/page-title.jpg',
							'type' => 'image',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Breadcrumb Archive', 'termico' ),
							'id' => 'breadcrumb_archive',
							'default' => esc_html__('Archive for category','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),	
						array(
							'name' => esc_html__( 'Breadcrumb Search', 'termico' ),
							'id' => 'breadcrumb_search',
							'default' => esc_html__('Search results for','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),	
						array(
							'name' => esc_html__( 'Breadcrumb tagged', 'termico' ),
							'id' => 'breadcrumb_post_tags',
							'default' => esc_html__('Posts tagged','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),		
						array(
							'name' => esc_html__( 'Breadcrumb posted by', 'termico' ),
							'id' => 'breadcrumb_artitle_post_by',
							'default' => esc_html__('Articles posted by','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),		
						array(
							'name' => esc_html__( 'Breadcrumb Page Not Found', 'termico' ),
							'id' => 'breadcrumb_404',
							'default' => esc_html__('Page Not Found','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),		
						array(
							'name' => esc_html__( 'Breadcrumb Page', 'termico' ),
							'id' => 'breadcrumb_page',
							'default' => esc_html__('Page','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),				
						array(
							'name' => esc_html__( 'Breadcrumb Home', 'termico' ),
							'id' => 'breadcrumb_home',
							'default' => esc_html__('Home','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),					
					)
				),

				'Side_info_setting'=> array(
					'name'=> esc_html__('Side Info Setting','termico'),
					'priority'=> 14,
					'fields'=> array(

						array(
							'name' => esc_html__( 'Side Info Logo', 'termico' ),
							'id' => 'termico_extra_info_logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo-black.png',
							'type' => 'image',
							'transport'	=> 'refresh' 
						),

						array(
							'name' => esc_html__( 'Contact Info Title', 'termico' ),
							'id' => 'termico_side_info_title',
							'default' => esc_html__('Contact Info','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),

						array(
							'name' => esc_html__( 'Address', 'termico' ),
							'id' => 'termico_side_address',
							'default' => esc_html__('12/A, Mirnada City Tower, NYC','termico'),
							'type' => 'textarea',
							'transport'	=> 'refresh' 
						),

						array(
							'name' => esc_html__( 'Phone Number', 'termico' ),
							'id' => 'termico_side_phone',
							'default' => esc_html__('+876 864 764 764','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Mail ID', 'termico' ),
							'id' => 'termico_side_mail_id',
							'default' => esc_html__('info@webmail.com','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Mail URL', 'termico' ),
							'id' => 'termico_mail_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Side Info Button Text', 'termico' ),
							'id' => 'termico_side_button_text',
							'default' => esc_html__('Get A Quote','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),

						array(
							'name' => esc_html__( 'Side Info Button Link', 'termico' ),
							'id' => 'termico_side_button_link',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),	
					)
				),

				'blog_setting'=> array(
					'name'=> esc_html__('Blog Setting','termico'),
					'priority'=> 14,
					'fields'=> array(
						array(
							'name' => esc_html__( 'Show Blog BTN', 'termico' ),
							'id' => 'termico_blog_btn_switch',
							'default' => 1,
							'type' => 'switch',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Blog Button text', 'termico' ),
							'id' => 'termico_blog_btn',
							'default' => esc_html__('Read More','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Blog Button text RTL', 'termico' ),
							'id' => 'termico_blog_btn_rtl',
							'default' => esc_html__('Read More','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),													
						array(
							'name' => esc_html__( 'Blog Title', 'termico' ),
							'id' => 'breadcrumb_blog_title',
							'default' => esc_html__('Blog','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),						
						array(
							'name' => esc_html__( 'Blog Details Title', 'termico' ),
							'id' => 'breadcrumb_blog_title_details',
							'default' => esc_html__('Blog Details','termico'),
							'type' => 'text',
							'transport'	=> 'refresh' 
						),

					)
				),
				'termico_footer_setting'=> array(
					'name'=> esc_html__('Footer Setting','termico'),
					'priority'=> 16,
					'fields'=> array(
						array(
							'name' => esc_html__( 'Choose Footer Style', 'termico' ),
							'id' => 'choose_default_footer',
							'type'     => 'select',
							'choices'  => array(
								'footer-style-1' => esc_html__( 'Footer Style 1', 'termico' ),
								'footer-style-2' => esc_html__( 'Footer Style 2', 'termico' ),
								'footer-style-3' => esc_html__( 'Footer Style 3', 'termico' ),
							),
							'default' => 'footer-style-1',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__( 'Widget Number', 'termico' ),
							'id' => 'footer_widget_number',
							'type'     => 'select',
							'choices'  => array(
								'4' => esc_html__( 'Widget Number 4', 'termico' ),
								'3' => esc_html__( 'Widget Number 3', 'termico' ),
								'2' => esc_html__( 'Widget Number 2', 'termico' ),
							),
							'default' => '4',
							'transport'	=> 'refresh'
						),

						array(
							'name'=>esc_html__('Footer Style 2 On/Off','termico'),
							'id'=>'footer_style_2_switch',
							'default'=> true,
							'type'=>'switch',
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Footer Style 3 On/Off','termico'),
							'id'=>'footer_style_3_switch',
							'default'=> true,
							'type'=>'switch',
							'transport'	=> 'refresh'  
						),

						array(
							'name' => esc_html__( 'Footer Background Image', 'termico' ),
							'id' => 'termico_footer_bg',
							'default' => '',
							'type' => 'image',
							'transport'	=> 'refresh' 
						),									
						array(
							'name'=>esc_html__('Footer BG Color','termico'),
							'id'=>'termico_footer_bg_color',
							'default'=> esc_html__('#f4f9fc','termico'),
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Footer Bottom BG Color','termico'),
							'id'=>'termico_footer_bottom_color',
							'default'=> esc_html__('#0F0C20','termico'),
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Copy Right','termico'),
							'id'=>'termico_copyright',
							'default'=> esc_html__('Copyright &copy;2022 ThemePure. All Rights Reserved','termico'),
							'type'=>'text',
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Copy Right RTL','termico'),
							'id'=>'termico_copyright_rtl',
							'default'=> esc_html__('Copyright &copy;2022 ThemePure. All Rights Reserved','termico'),
							'type'=>'text',
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Scrollup Hide','termico'),
							'id'=>'termico_scrollup_switch',
							'default'=> true,
							'type'=>'switch',
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Footer Style 2 Switch','termico'),
							'id'=>'footer_style_2_switch',
							'default'=> true,
							'type'=>'switch',
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Footer Style 3 Switch','termico'),
							'id'=>'footer_style_3_switch',
							'default'=> true,
							'type'=>'switch',
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Footer Social Switch','termico'),
							'id'=>'footer_social_switch',
							'default'=> true,
							'type'=>'switch',
							'transport'	=> 'refresh'  
						),
						/** social profiles **/
						array(
							'name' => esc_html__( 'Facebook Url', 'termico' ),
							'id' => 'termico_footer_fb_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Twitter Url', 'termico' ),
							'id' => 'termico_footer_twitter_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Instagram Url', 'termico' ),
							'id' => 'termico_footer_instagram_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Linkedin Url', 'termico' ),
							'id' => 'termico_footer_linkedin_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),
						array(
							'name' => esc_html__( 'Youtube Url', 'termico' ),
							'id' => 'termico_footer_youtube_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh' 
						),

					)
				),
				'color_setting'=> array(
					'name'=> esc_html__('Color Setting','termico'),
					'priority'=> 17,
					'fields'=> array(
						array(
							'name'=>esc_html__('Theme Color','termico'),
							'id'=>'termico_color_option',
							'default'=> esc_html__('#e8d2b8','termico'),
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Secondary Color','termico'),
							'id'=>'termico_sec_color_option',
							'default'=> esc_html__('#ec5598','termico'),
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Third Color','termico'),
							'id'=>'termico_third_color_option',
							'default'=> esc_html__('#6a1b9a','termico'),
							'transport'	=> 'refresh'  
						)	

					)
				),
				'error_page_setting'=> array(
					'name'=> esc_html__('404 Setting','termico'),
					'priority'=> 19,
					'fields'=> array(
						array(
							'name'=>esc_html__('400 Text','termico'),
							'id'=>'termico_error_404_text',
							'default'=> esc_html__('404','termico'),
							'type'=>'text',
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('Not Found Title','termico'),
							'id'=>'termico_error_title',
							'default'=> esc_html__('Page not found','termico'),
							'type'=>'text',
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('404 Description Text','termico'),
							'id'=>'termico_error_desc',
							'default'=> esc_html__('Oops! The page you are looking for does not exist. It might have been moved or deleted','termico'),
							'type'=>'textarea',
							'transport'	=> 'refresh'  
						),
						array(
							'name'=>esc_html__('404 Link Text','termico'),
							'id'=>'termico_error_link_text',
							'default'=> esc_html__('Back To Home','termico'),
							'type'=>'text',
							'transport'	=> 'refresh'  
						)
						
					)
				),
				'rtl_setting'=> array(
					'name'=> esc_html__('RTL Setting','termico'),
					'priority'=> 20,
					'fields'=> array(
						array(
							'name'=>esc_html__('Switch RTL','termico'),
							'id'=>'rtl_switch',
							'default'=> false,
							'type'=>'switch',
							'transport'	=> 'refresh'  
						)
					)
				),
			),
		)
	);

}

add_filter('_customizer_data', '_customizer_data');


